package kaysaar.aotd_question_of_loyalty.data.campaign.econ.conditions;

import java.awt.Color;
import com.fs.starfarer.api.ui.TooltipMakerAPI;
import com.fs.starfarer.api.impl.campaign.econ.BaseMarketConditionPlugin;

public class AoTDEmergentAutonomy extends BaseMarketConditionPlugin
{
    public void apply(final String id) {
        super.apply(id);
        if (this.market.getFaction() != null && this.market.getFaction().isPlayerFaction()) {
            this.market.getStability().modifyFlat("aotd_emergent", 2.0f, "Emergent Autonomy");
            this.market.getStats().getDynamic().getMod("ground_defenses_mod").modifyMult("aotd_emergent", 2.0f, "Emergent Autonomy");
        }
    }
    
    public void unapply(final String id) {
        super.unapply(id);
        this.market.getStability().unmodifyFlat("aotd_emergent");
        this.market.getStats().getDynamic().getMod("ground_defenses_mod").unmodifyMult("aotd_emergent");
    }
    
    public String getIconName() {
        return this.market.getFaction().getCrest();
    }
    
    protected void createTooltipAfterDescription(final TooltipMakerAPI tooltip, final boolean expanded) {
        tooltip.addPara("Increase stability by %s", 5.0f, Color.ORANGE, new String[] { "2" });
        tooltip.addPara("Increase ground defence multiplier by %s", 5.0f, Color.ORANGE, new String[] { "2" });
    }
}
